Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.common
Class ReflectionPropertyAccessor

    java.lang.Object
      org.optaplanner.core.impl.domain.common.ReflectionPropertyAccessor

All Implemented Interfaces:
  PropertyAccessor

    public final class ReflectionPropertyAccessor

extends Object
implements PropertyAccessor

Wraps `PropertyDescriptor` for faster and easier access.

Constructor Summary
`ReflectionPropertyAccessor(PropertyDescriptor propertyDescriptor)`

Method Summary
`Object` | `executeGetter(Object bean)`
`void` | `executeSetter(Object bean, Object value)`
`String` | `getName()`
`Class<?>` | `getPropertyType()`
`Method` | `getReadMethod()`
`Method` | `getWriteMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectionPropertyAccessor

    public ReflectionPropertyAccessor(PropertyDescriptor propertyDescriptor)

Method Detail

### getReadMethod

    public Method getReadMethod()

  Specified by:
    `getReadMethod` in interface `PropertyAccessor`

### getWriteMethod

    public Method getWriteMethod()

  Specified by:
    `getWriteMethod` in interface `PropertyAccessor`

### getName

    public String getName()

  Specified by:
    `getName` in interface `PropertyAccessor`

### getPropertyType

    public Class<?> getPropertyType()

  Specified by:
    `getPropertyType` in interface `PropertyAccessor`

### executeGetter

    public Object executeGetter(Object bean)

  Specified by:
    `executeGetter` in interface `PropertyAccessor`

### executeSetter

    public void executeSetter(Object bean,
                              Object value)

  Specified by:
    `executeSetter` in interface `PropertyAccessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.